Unit tamm8r_p;
interface
uses
SysUtils, Math, { Delphi }
LStruct, Lfunc, UtRes_p, AMM8R_p;

function tamm8r: String; 

implementation

function tamm8r: String;
var
N,NLB,NUB,_i :Integer;
C :Array [0..24] of Real;
const
A :Array [0..14] of Real = ( 1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,1.0,
1.0,1.0,1.0 );
B :Array [0..19] of Real = ( 0.0,0.0,1.0,1.0,1.0,0.0,1.0,1.0,1.0,1.0,1.0,1.0,
1.0,1.0,1.0,1.0,1.0,1.0,1.0,0.0 );
begin
Result := '';
N := 5;
NLB := 2;
NUB := 1;
AMM8R(A,N,B,NLB,NUB,C);
Result := Result + #$0D#$0A;
for _i:=0 to 24 do
 begin
  Result := Result + Format('%20.16f ',[C[_i]]);
  if ( ((_i+1) mod 3)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tamm8r',Result);  {     tamm8r.res }
exit;
end;

end.
